Viewing Issue Advanced Details Jump to Notes ] snes.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06013 Crash/Freeze Critical (emulation) Always Aug 11, 2015, 11:30 Jul 4, 2016, 18:07
Tester rcoltrane View Status Public Platform MESS (Official Binary)
Assigned To Kale Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved   Driver snes.cpp
Version 0.164 Fixed in Version 0.175 Build Normal
Summary MESS-specific 06013: snes [taekwon, taekwonk]: TaeKwon-Do freezes into a black screen
Description The game TaeKwon-Do for the Super Famicom / SNES does not start anymore, it freezes into a black screen and nothing happens.
Steps To Reproduce Just run the game.
Additional Information It's a regression, it happened before but it was fixed sometime. Now it's happening again.
Flags
Regression Version 0.147
Affected Sets / Systems snes [taekwon, taekwonk]
Attached Files
 


-  Notes
User avatar
No.11951
Tafoid
(Administrator)
Aug 11, 2015, 14:48
Specifically, the date of the regression seems to be August 22, 2012 - a lot of snes dev happened on that day including (not limited to) rewriting the CPU cycle stealing routine. It is quite possible this is the culprit.
https://github.com/mamedev/mame/commit/170b6ae5c2d63e941756f1a5fa6929ece92c0cfa